Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.identity
Class UniqueOrKey

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.identity.IdentityConstraint
            |
            +--org.apache.xerces.impl.xs.identity.UniqueOrKey

All Implemented Interfaces:
  XSIDCDefinition, XSObject

public class UniqueOrKey
extends IdentityConstraint

Schema unique or key identity constraint. These two kinds of identity constraint have been combined to save the creation of a separate Vector object for any element that has both. A short int is used to distinguish which this object is.

Version:
  $Id: UniqueOrKey.java,v 1.3 2002/05/16 18:25:55 sandygao Exp $
Author:
  Andy Clark, IBM

Fields inherited from class org.apache.xerces.impl.xs.identity.IdentityConstraint
`fElementName, fFieldCount, fFields, fIdentityConstraintName, fNamespace, fSelector, type`

Fields inherited from interface org.apache.xerces.impl.xs.psvi.XSIDCDefinition
`IC_KEY, IC_KEYREF, IC_UNIQUE`

Constructor Summary
`UniqueOrKey(java.lang.String namespace, java.lang.String identityConstraintName, java.lang.String elemName, short type)` Constructs a unique or a key identity constraint.

Methods inherited from class org.apache.xerces.impl.xs.identity.IdentityConstraint
`addField, equals, getAnnotations, getCategory, getElementName, getFieldAt, getFieldCount, getFieldStrs, getIdentityConstraintName, getName, getNamespace, getNamespaceItem, getRefKey, getSelector, getSelectorStr, getType, setSelector, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UniqueOrKey

    public UniqueOrKey(java.lang.String namespace,
                       java.lang.String identityConstraintName,
                       java.lang.String elemName,
                       short type)

  Constructs a unique or a key identity constraint.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.